/*
 * CHardware.h
 *
 *  Created on: 16 Oct 2023
 *      Author: max.petrak
 */

#ifndef SOURCE_CHARDWARE_RZA2M_H_
#define SOURCE_CHARDWARE_RZA2M_H_

#include "CHardware.h"

class CHardwareRZA2M
: public CHardware
{
public:
    CHardwareRZA2M();
    ~CHardwareRZA2M();

    virtual void GetAccelerometerData(eC_Int &iX, eC_Int &iY, eC_Int &iZ);
    virtual eC_Bool GetButtonData(eC_Value vButton);
};

#endif /* SOURCE_CHARDWARE_RZA2M_H_ */
